from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XComponent

@runtime_checkable
class XDynamicResultSet(XComponent, Protocol):
    def getCapabilities(self) -> int: ...
